@font-face {
	font-family: 'Zabars';
	src: url(fonts/ZABARS/Zabars.ttf);
}

* {
	font-family: Zabars;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	min-height: 100vh;
	background-image: url(assets/img/background.png);
}

.game-app {
	position: relative;
	height: 480px;
}

.background {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}

canvas {
	background-color: black;
	border-radius: 16px;
	box-shadow: 2px 4px 10px 5px rgba(0, 0, 0, 0.233);
}

.canvas-wrapper {
	height: 100%;
	width: 100%;
	display: flex;
	justify-content: center;
}

button:hover {
	cursor: pointer;
}

.discription-bar {
	display: flex;
	justify-content: center;
	align-items: center;
}

.d-none {
	display: none;
}

.button-wrapper {
	display: flex;
	align-items: center;
	margin-right: 16px;
	margin-top: 4px;
}

.button-wrapper img {
	margin-right: 4px;
}

.d-key,
.space-key {
	padding: 8px 12px;
	font-size: 16px;
	background-color: rgba(117, 77, 36, 0.637);
	border: 1px solid black;
	border-radius: 2px;
	margin-right: 4px;
}

.selection {
	margin: 0 8px 0 4px;
}

span {
	font-size: 32px;
}

.keyboard-key {
	box-sizing: content-box;
	height: 24px;
	background-color: rgba(117, 77, 36, 0.63);
	border: 1px solid black;
	border-radius: 2px;
	padding: 4px;
}

.start-screen {
	background-image: url('assets/img/9_intro_outro_screens/start/startscreen_1.png');
}

.lost-screen {
	background-color: rgba(0, 0, 0, 0.402);
}

.win-screen {
	background-color: rgba(0, 0, 0, 0.402);
}

.game-screen {
	position: absolute;
	top: 0;
	height: 100%;
	width: 100%;
	background-position: center;
	background-size: 100% 100%;
	background-repeat: no-repeat;
	border-radius: 16px;
}

.start-screen .button-wrapper {
	display: flex;
	justify-content: center;
}

.start-screen .button-wrapper button {
	font-size: 24px;
	border-radius: 8px;
	border: none;
	margin: 24px 4px;
	background-color: beige;
	padding: 8px;
}

.background-image-center {
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	height: 100vh;
}

.lost-screen .button-wrapper,
.win-screen .button-wrapper {
	position: absolute;
	left: 50%;
	top: 32px;
	transform: translateX(-50%);
}

.lost-screen .button-wrapper button,
.win-screen .button-wrapper button {
	padding: 16px;
	border-radius: 8px;
	border: none;
	margin: 0 4px;
	font-size: 24px;
	background-color: beige;
}

.story-container {
	background-color: rgba(245, 245, 220, 0.921);
	padding: 8px;
	margin: 4px;
	border-radius: 8px;
}

.story-container button {
	font-size: 24px;
	padding: 4px;
	border-radius: 4px;
	background-color: beige;
}

.story {
	font-size: 24px;
	margin-bottom: 8px;
}

.story-button-container {
	display: flex;
	justify-content: flex-end;
}

.gameover-screen .button-wrapper {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
}

.gameover-screen .button-wrapper button {
	padding: 16px;
	border-radius: 8px;
	font-size: 24px;
	background-color: beige;
}

.win-message,
.lose-message {
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	top: 30%;
	font-size: 128px;
}

.lose-message {
    font-size: 90px;
}

.control-buttons {
	position: absolute;
	display: none;
	width: 100%;
	justify-content: space-between;
	bottom: 4px;
}

.middle-desktop {
	position: absolute;
	bottom: 4px;
	left: 50%;
	transform: translateX(-50%);
}

.middle-desktop button img {
	height: 24px;
}

.control-button {
	border-radius: 4px;
	border: none;
	padding: 4px;
}

.control-buttons img {
	height: 24px;
}

.left {
	margin-left: 24px;
}

.right {
	display: flex;
	margin-right: 24px;
}

.throw {
	padding: 8px 2px;
}

.mobile-up {
	margin-right: 2px;
}

footer {
	position: absolute;
	bottom: 48px;
	font-size: 24px;
	font-family: 'Courier New', Courier, monospace;
}

footer a {
	color: black;
	font-weight: bold;
	font-family: 'Courier New', Courier, monospace;
}

dialog {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	padding: 24px;
}

dialog .button-wrapper {
	display: flex;
	justify-content: center;
}

dialog .button-wrapper button {
	padding: 4px;
}

dialog * {
	font-family: 'Courier New', Courier, monospace;
}

@media only screen and (max-width: 1366px) {
	.control-buttons {
		display: flex;
	}

	#mobile-fullscreen,
	.fullscreen-button {
		display: none;
	}

	.game-app {
		height: 100vh;
		width: 100%;
	}

	.start-screen,
	.win-screen,
	.lost-screen {
		border-radius: 0;
	}

	canvas {
		width: 100%;
		border-radius: 0;
	}

	footer {
		font-size: 12px;
		bottom: 8px;
	}

	dialog {
		min-width: 100%;
		font-size: 12px;
	}
}

@media only screen and (max-width: 932px) {
	.win-message,
	.lose-message {
        font-size: 64px;
    }
}
